# dkim_sig_getselector()

[back to index]

SYNOPSIS

    #include <dkim.h>

    const char * dkim_sig_getselector(
    	DKIM_SIGINFO *sig
    );

Retrieve from a DKIM handle the selector name associated with the specified signature on a message.

DESCRIPTION

Called When | `dkim_sig_getselector()` can be called at any time after the signature information handles are initialized in the call to `dkim_eoh()`.

ARGUMENTS

Argument | Description
--- | ---
sig | Signature-specific handle.

RETURN VALUES

Value | Description
--- | ---
`NULL` | No selector could be determined for this signature.
otherwise | A pointer to the selector found in the signature.

NOTES

- None.

Copyright (c) 2007 Sendmail, Inc. and its suppliers. All rights reserved.
Copyright (c) 2009, 2010, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the respective licenses.